.hero-project {
  background: var(--secondary);
  position: relative;
}

.hero-project__image {
  position: relative;
  aspect-ratio: 1400/388;
}

.hero-project__image img {
  display: block;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  -o-object-position: top center;
  object-position: top center;
}

.hero-project__content {
  background: var(--secondary);
  position: relative;
  padding: 50px 0;
}

.hero-project__content:after {
  background: var(--primary);
  content: "";
  position: absolute;
  right: 0;
  bottom: 0;
  width: 58%;
  height: 10px;
  pointer-events: none;
}

.hero-project__meta {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 10px 25px;
  margin-bottom: 20px;
  font-size: 12px;
  color: var(--grey-400);
}

.hero-project__meta-location {
  display: flex;
  align-items: center;
  gap: 12px;
}

.hero-project__meta-location:before {
  content: "";
  flex: 0 0 auto;
  display: block;
  aspect-ratio: 1/1;
  width: 24px;
  background: center/contain no-repeat url("../../img/icons/pin.svg");
}

.hero-project__meta-construction-status,
.hero-project__meta-sale-status {
  display: flex;
  align-items: center;
  gap: 12px;
}

.hero-project__meta-construction-status:before,
.hero-project__meta-sale-status:before {
  content: "";
  flex: 0 0 auto;
  aspect-ratio: 1/1;
  display: block;
  border-radius: 50%;
  width: 12px;
}

.hero-project__meta-construction-status._green:before,
.hero-project__meta-sale-status._green:before {
  background: #00CA48;
}

.hero-project__meta-construction-status._orange:before,
.hero-project__meta-sale-status._orange:before {
  background: #FFC600;
}

.hero-project__meta-construction-status._red:before,
.hero-project__meta-sale-status._red:before {
  background: #FF4B59;
}

.hero-project__title {
  font-size: 36px;
  font-weight: 700;
  line-height: 1.25;
  color: var(--white);
}

@media (max-width: 1400px) {
  .hero-project__content {
    padding: 35px 0;
  }

  .hero-project__meta-location {
    gap: 10px;
  }

  .hero-project__meta-construction-status,
  .hero-project__meta-sale-status {
    gap: 10px;
  }

  .hero-project__title {
    font-size: 28px;
  }
}

@media (max-width: 760px) {
  .hero-project__image {
    aspect-ratio: 320/273;
  }

  .hero-project__content {
    padding: 20px 0;
  }

  .hero-project__content:after {
    width: 65%;
    height: 6px;
  }

  .hero-project__meta {
    margin-bottom: 10px;
    font-size: 8px;
    gap: 8px 15px;
  }

  .hero-project__meta-location {
    gap: 6px;
  }

  .hero-project__meta-location:before {
    width: 18px;
  }

  .hero-project__meta-construction-status,
  .hero-project__meta-sale-status {
    gap: 6px;
  }

  .hero-project__meta-construction-status:before,
  .hero-project__meta-sale-status:before {
    width: 8px;
  }

  .hero-project__title {
    font-size: 20px;
  }
}